std::_Maybe_wrap_member_pointer< _Tp >(3cxx)

NAME
std::_Maybe_wrap_member_pointer< _Tp >

SYNOPSIS

  Public Types

typedef _Tp type

  Static Public Member Functions

static constexpr const _Tp & __do_wrap (const _Tp &__x)
static constexpr _Tp && __do_wrap (_Tp &&__x)

Detailed Description

  template<typename _Tp>
struct std::_Maybe_wrap_member_pointer< _Tp >" Maps member pointers into instances of _Mem_fn but leaves all other function objects untouched. Used by std::bind(). The primary template handles the non-member-pointer case.

Definition at line 861 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.